API referenceManuals
Get manual
One manual.
GET
One manual.
header
x-api-key<token>Scope: manuals:read
id*stringMatch
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$The manual
application/json- response
id*stringMatch
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$ownerId*stringtitle*stringcategoryId*|Match
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$tags*array<string>source*|nulldocuments*hasAssets*booleanhasCards*booleancardCount*integerpublished*stringValue in
"none""public""private"packKey*string|nullpublishedAt*|Format
date-timepublishedCardCount*integer|nulljob*|nullcreatedAt*stringFormat
date-timeupdatedAt*stringFormat
date-timecurl -X GET 'https://www.chameleonlabs.org/api/manuals/string'Example Response
{ "id": "string", "ownerId": "string", "title": "string", "categoryId": "string", "tags": [ "string" ], "source": { "sha256": "string", "pageCount": 0, "pageSizes": [ { "width": 0, "height": 0 } ] }, "documents": { "labels": 0, "image-settings": 0, "cards": 0, "asset-index": 0 }, "hasAssets": true, "hasCards": true, "cardCount": 0, "published": "none", "packKey": "string", "publishedAt": "2019-08-24T14:15:22Z", "publishedCardCount": 0, "job": { "id": "string", "kind": "breakdown", "status": "running", "startedAt": "2019-08-24T14:15:22Z", "stoppedAt": "2019-08-24T14:15:22Z", "error": "string" }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}